<div  class="add_main_sec col-12">
    <h1  class="welcome_msg"> Edit Details </h1>
    <div  class="d-flex flex-row justify-content-center">
      <form  class="book_form col-7 col-md-6">
        <label htmlFor="name"  class="label_book mt-3 mb-1">
          Name
        </label>
        <p> {{books.name}} </p>
        <label htmlFor="book_desc"  class="label_book mt-3 mb-1">
         Description
        </label>
        <input
           class="input"
          type="text"
          name="book_desc"
          value= {{books.description}} 
          (keyup)="getDesc($event)"

        />
        <p  class="mb-0 err_message"> description_err  </p>
        <label htmlFor="book_author"  class="label_book mt-3 mb-1">
          Author of the Book
        </label>
        <input
           class="input pr-2"
          type="text"
          name="book_author"
          value= {{books.authorname}}
          (keyup)="getAuthorName($event)"  
        />
        <p  class="mb-0 err_message"> author_name_err  </p>
        <label htmlFor="book_publisher"  class="label_book mt-3 mb-1">
         Publisher
        </label>
        <input
           class="input"
          type="text"
          name="book_publisher"
          value= {{books.publishername}}
          (keyup)="getPublisherName($event)"
        />
        <p  class="mb-0 err_message"> publisher_err  </p>
        <label htmlFor="book_price"  class="label_book mt-3 mb-1">
         Price 
        </label>
        <input
           class="input"
          type="text"
          name="book_price"
          value= {{books.price}}
          (keyup)="getPrice($event)"
        />
        <p  class="mb-0 err_message"> price_err  </p>

        <p  class="label_book mt-3 mb-1"> Availability </p>
        <input
          type="radio"
          id="true"
          value="true"
          default="true"
          name="avail"
          (click)="getAvailability($event)"
         
        />
        <label for="true"  class="label_book_radio" >
         Yes
        </label>
        <input
          type="radio"
           class="ml-5"
          id="false"
          value="false"
          name="avail"
          (click)="getAvailability($event)"
        />
        <label for="false"  class="label_book_radio">
          No  
        </label>

        <p  class="mb-0 err_message"> availability_err  </p>
      </form>
    </div>
   
    <p  class="message text-center green"> suc_msg </p>
    <p  class="message text-center red"> err_msg </p>
    <p  class="message text-center red"> else_msg </p>
    <div  class="add_button mt-4 ">
       
      <button  class="button_style mb-4" (click)="clickFunction()" >
       Submit 
      </button>
    </div>
  </div>